# sfepy.terms.terms_volume module

class sfepy.terms.terms_volume.LinearVolumeForceTerm(name, arg_str, integral, region, **kwargs)

  Vector or scalar linear volume forces (weak form) — a right-hand side source term.

  Definition:

  \int_{\Omega} \ul{f} \cdot \ul{v} \mbox{ or } \int_{\Omega} f q

  Call signature:

  dw_volume_lvf | `(material, virtual)`

  Arguments:

    - material : \ul{f} or f

    - virtual : \ul{v} or q

  arg_shapes = [{'material': 'D, 1', 'virtual': ('D', None)}, {'material': '1, 1', 'virtual': (1, None)}]
  arg_types = ('material', 'virtual')
  static function(out, force_qp, cmap)
  get_fargs(mat, virtual, mode=None, term_mode=None, diff_var=None, **kwargs)
  name = 'dw_volume_lvf'

class sfepy.terms.terms_volume.NonlinearVolumeForceTerm(name, arg_str, integral, region, **kwargs)

  The volume force term with the force given by a user supplied function of the state variable.

  Definition:

  \int_{\Omega} q f(p)

  Call signature:

  dw_volume_nvf | `(fun, dfun, virtual, state)`

  Arguments:

    - fun : f(p)

    - dfun : \partial f(p) / \partial p

    - virtual : q

    - state : p

  arg_shapes = {'dfun': <function NonlinearVolumeForceTerm.<lambda>>, 'fun': <function NonlinearVolumeForceTerm.<lambda>>, 'state': 1, 'virtual': (1, 'state')}
  arg_types = ('fun', 'dfun', 'virtual', 'state')
  static function(out, out_qp, geo)
  get_fargs(fun, dfun, var1, var2, mode=None, term_mode=None, diff_var=None, **kwargs)
  name = 'dw_volume_nvf'